Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.rwt.lifecycle
Class JSListenerInfo

    java.lang.Object
      org.eclipse.rwt.lifecycle.JSListenerInfo

public final class JSListenerInfo
extends java.lang.Object

Constructor Summary
`JSListenerInfo(java.lang.String eventType, java.lang.String jsListener, JSListenerType jsListenerType)`

Method Summary
`java.lang.String` `getEventType()`
`java.lang.String` `getJSListener()`
`JSListenerType` `getJSListenerType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSListenerInfo

    public JSListenerInfo(java.lang.String eventType,
                          java.lang.String jsListener,
                          JSListenerType jsListenerType)

Method Detail

### getEventType

    public java.lang.String getEventType()

### getJSListener

    public java.lang.String getJSListener()

### getJSListenerType

    public JSListenerType getJSListenerType()

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.